taffybar-4.0.2: A desktop bar similar to xmobar, but with more GUI

Copyright | (c) Ivan A. Malison
License | BSD3-style (see LICENSE)
Maintainer | Ivan A. Malison
Stability | unstable
Portability | unportable
Safe Haskell | Safe-Inferred
Language | Haskell2010

System.Taffybar.Information.MPRIS2

Description

# Documentation

data NowPlaying Source #

Constructors

NowPlaying |

Fields

- npTitle :: String
- npArtists :: [String]
- npStatus :: String
- npBusName :: BusName

#### Instances

Instances details

Show NowPlaying Source # |
Instance details Defined in System.Taffybar.Information.MPRIS2 Methods showsPrec :: Int -> NowPlaying -> ShowS Source # show :: NowPlaying -> String Source # showList :: [NowPlaying] -> ShowS Source #
Eq NowPlaying Source # |
Instance details Defined in System.Taffybar.Information.MPRIS2 Methods (==) :: NowPlaying -> NowPlaying -> Bool Source # (/=) :: NowPlaying -> NowPlaying -> Bool Source #

eitherToMaybeWithLog :: (MonadIO m, Show a1) => Either a1 a2 -> m (Maybe a2) Source #

getNowPlayingInfo :: MonadIO m => Client -> m [NowPlaying] Source #

getSongInfo :: Map String Variant -> Maybe (String, [String]) Source #